Skip to main content
PUT
/
custom-objects
/
{customObjectId}
/
contract
/
{contractId}
/
records
Upsert contract records
curl --request PUT \
  --url https://api.tomorro.com/v2/custom-objects/{customObjectId}/contract/{contractId}/records \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "records": [
    {
      "id": null,
      "fromCatalogRecordId": null,
      "fields": [
        {
          "smartFieldId": "550e8400-e29b-41d4-a716-446655440000",
          "value": "INV-2026-001"
        }
      ]
    }
  ]
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

customObjectId
string
required

The unique identifier (UUID) of the custom object

Example:

"550e8400-e29b-41d4-a716-446655440000"

contractId
string
required

The unique identifier (UUID) of the contract

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
records
object[]
required

The records to create or update.

Example:
[
  {
    "id": null,
    "fromCatalogRecordId": null,
    "fields": [
      {
        "smartFieldId": "550e8400-e29b-41d4-a716-446655440000",
        "value": "INV-2026-001"
      }
    ]
  }
]

Response

Contract records upserted successfully